curl --request POST \
--url https://api.example.com/api/projects/{projectId}/branches/{branchId}/commit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"baseCommitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changes": [],
"resolutions": [
{
"path": "<string>",
"resolution": "useLeft",
"content": "<unknown>",
"hash": "<string>"
}
]
}
'{
"success": true,
"commitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stats": {
"totalFiles": 123,
"reusedContent": 123,
"newContent": 123
}
}Creates a new commit on a branch with the specified changes.
curl --request POST \
--url https://api.example.com/api/projects/{projectId}/branches/{branchId}/commit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"baseCommitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changes": [],
"resolutions": [
{
"path": "<string>",
"resolution": "useLeft",
"content": "<unknown>",
"hash": "<string>"
}
]
}
'{
"success": true,
"commitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stats": {
"totalFiles": 123,
"reusedContent": 123,
"newContent": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gorules.io/llms.txt
Use this file to discover all available pages before exploring further.
Personal access token is obtained through your profile
Project ID
Branch ID or "main" for the default branch
Was this page helpful?